FL Studio 20: "This project was generated using a newer version of Kontakt" error

Please report Windows related issues here

Return to “Technical Support (Windows)”

Forum rules
WE NEED DETAILS: Your problems will be addressed faster if you follow these suggestions:
  1. Specific information - a) FL Studio version & build number, b) what you are doing and what happens exactly, c) step-by-step instructions how reproduce the problem.
  2. Screenshots - Another great way to demonstrate issues. Get a free screenshot app here. Include images using the 'Attachments' tab, at the bottom of the post edit window.
  3. A video - The best way of demonstrating many issues. Get a free recorder here. Include mp4 videos to your post from the 'Attachments' tab, at the bottom of the post edit window.
  4. Use English - Google Translate your post. Short simple sentences in your original language translate best. We are happy to work this way, no need to worry.
NOTE: Technical Support is ONLY available Monday - Friday (9 am to 5 pm Central European Time), thank you.
[You can only see part of this thread as you are not logged in to the forums]
SethG83
Sat Jan 11, 2020 12:54 am

x

FL Studio 20: "This project was generated using a newer version of Kontakt" error

So lately I've had an issue that seems to have popped up out of nowhere.

When I add Kontakt as a channel, it shows as version 6.2.1 (R42). I add my instrument, do whatever, save the project, close it when done. Then later when I come back to open said project, I get a window that reads:

"This project was generated using a newer version of Kontakt. Please upgrade your copy to recall the project"

...and seems to have deleted my instrument from the rack. When I check the version number now, it says 6.1.1. If I right click and replace with the "Kontakt" in my plugins list, and then check the version, we're back to 6.2.1. It seems that whenever I load a project with Kontakt 6.2.1 in it, Kontakt will change to an older version and complain to me about how I should upgrade.

So my questions are why and how is this happening, and how am I to prevent it from happening in the future?

In Native Access, it shows "Kontakt 6 Player" with the version "6.2.1", so it looks correctly updated. Does an older version somehow still exists on my PC somewhere? Why is Kontakt choosing that one over the new version everytime I load a project? Have I not gotten enough sleep today? The answer to the last question is yes, but the others I am uncertain.

I've given what I think will be relevant, but If there's any other info you need I'll be glad to elaborate.

EDIT: Apparently, I'm blind - at the bottom of FL's plugin search there's a Kontakt_2, and after some file searching i found an old version of Kontakt (6.1.1) sitting in a subfolder in my VST directory. Not entirely sure how I've missed that, but everything seems to be working fine after I deleted that old version.



Return to “Technical Support (Windows)”